Bug 615711

Summary: Install image removes itself even if installation aborts, subsequent install attempts fail
Product: [Fedora] Fedora Reporter: Hans Ulrich Niedermann <rhbugs>
Component: preupgradeAssignee: Richard Hughes <richard>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: anaconda-maint-list, jeff.raber, jonathan, rhughes, richard, vanmeeuwen+fedora
Target Milestone: ---Keywords: Reopened, Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-29 09:20:56 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Hans Ulrich Niedermann 2010-07-18 04:12:36 EDT
Description of problem:

  After successful preupgrade preparation (downloaded 5.1GB of
  packages onto 5.9GB / filesystem used for /usr and /var), the
  system is then rebooted to run the actual installation.

  The actual installation will then fail due to insufficient
  disk space on the / filesystem. The following two remedies
  both fail:

    a) Switch to different virtual console, run lvextend and
       resize2fs: There is no way to go back to before the
       failed disk space check without rebooting. So I reboot
       via Ctrl-C.

    b) The reboot into the "Update to F13" grub entry fails,
       as something has deleted the /boot/upgrade/*.img files.

Version-Release number of selected component (if applicable):

  Whatever preupgrade was in F11 a few days ago
  (is there some pkgdb or update database to query on that?)

How reproducible:

  Could only try it once, happened every time though. :)

Steps to Reproduce:
1. Take F11 system with just enough space for preupgrade to download the packages.
2. Run preupgrade and let it run until it presents the "Reboot" button.
3. Reboot into the upgrade images
4. Answer questions on encrypted block devices if necessary
5. Wait until upgrade image has tried to start the upgrade but failed due to lack of disk space
6. Switch to different console (Ctrl-Alt-F2?), run "lvextend -L +4G /dev/FOO/fedora-root" and "resize2fs /dev/FOO/fedora-root" (adapt device name as necessary).
7. Reboot as suggested
8. Select "Upgrade to F13" option in grub menu

Actual results:

  Watch the boot fail due to missing /boot/upgrade/*.img 

Expected results:

  Second run of upgrade starts and succeeds.

Additional info:

  Workaround: Boot into old installation via installed grub, run
  preupgrade again, wait for an additional hour for it to re-download
  the /boot/upgrade/*.img files and prepare its metadata, then reboot.

  Bug resolution might need interaction with anaconda.
Comment 1 Jeff Raber 2010-07-28 00:17:23 EDT
Moving to Version 13 and Component Anaconda.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Chris Lumens 2010-07-28 10:27:12 EDT
We have to remove the install.img early in order to support machines with small /boot partitions.  Otherwise, you could run into a situation where there isn't enough space in /boot to install the new kernel package and the upgrade will terminate halfway through.
Comment 3 Hans Ulrich Niedermann 2010-07-28 12:38:39 EDT
In that case, I would ask whether preupgrade could cache the <200MB *.img files in addition to the 2+GB of *.rpm files it already caches

Then preupgrade only has to redo the metadata generation on the second try, and can avoid re-downloading the *.img files again.

The metadata generation takes long enough - and adding the re-download time of *.img does not really help anything, AFAICT.
Comment 4 Richard Hughes 2010-07-29 03:21:30 EDT
(In reply to comment #3)
> In that case, I would ask whether preupgrade could cache the <200MB *.img files
> in addition to the 2+GB of *.rpm files it already caches

Patch please. :-)
Comment 5 Bug Zapper 2011-06-01 09:34:10 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-29 09:20:56 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.